%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: Sun clock plugin for GKrellM
Name: gkrellm-sun
Version: 1.0.0
Release: 2%{?dist}
License: GPL
Group: Applications/System
URL: http://gkrellsun.sourceforge.net/
Source: http://dl.sf.net/gkrellsun/gkrellsun-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
A sun clock plugin for GKrellM which can display the sun's setting time, rising
time, path and current location and so on.


%prep
%setup -q -n gkrellsun-%{version}


%build
%{__make} FLAGS='%{optflags} -fPIC $(GTK_INCLUDE)'


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 src20/gkrellsun.so \
    %{buildroot}%{gkplugindir}/gkrellsun.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{gkplugindir}/gkrellsun.so


%changelog
* Wed Feb 14 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-2
- Tweak defattr.

* Mon Feb 12 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-1
- Initial RPM release as a single plugin.

